Amazon Linux AMI:xalan-j2(ALAS-2014-325)

high Nessus プラグイン ID 73653

概要

リモート Amazon Linux AMI ホストに、セキュリティ更新がありません。

説明

Xalan-Java の安全な処理機能に、特定のプロパティおよび機能に対して、十分な制限が定義されていないことが、見つかりました。
Extensible Stylesheet Language Transformations (XSLT)コンテンツを、 Xalan-Java を使用しているアプリケーションで処理されるように準備できるリモートの攻撃者が、この欠陥を利用して、安全な処理機能の意図した制限をバイパスすることがありました。classpath で使用できるコンポーネントによって異なりますが、これにより、Xalan-Java を使用するアプリケーションを実行中のアプリケーションサーバーとの関係で、任意のリモートコードが実行されることがあります。(CVE-2014-0107)

ソリューション

「yum update xalan-j2」を実行し、お使いのシステムを更新します。

関連情報

https://alas.aws.amazon.com/ALAS-2014-325.html

プラグインの詳細

深刻度: High

ID: 73653

ファイル名: ala_ALAS-2014-325.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2014/4/23

更新日: 2018/4/18

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.8

CVSS v2

リスクファクター: High

Base Score: 7.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

脆弱性情報

CPE: p-cpe:/a:amazon:linux:xalan-j2, p-cpe:/a:amazon:linux:xalan-j2-demo, p-cpe:/a:amazon:linux:xalan-j2-javadoc, p-cpe:/a:amazon:linux:xalan-j2-manual, p-cpe:/a:amazon:linux:xalan-j2-xsltc, cpe:/o:amazon:linux

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

パッチ公開日: 2014/4/17

参照情報

CVE: CVE-2014-0107

ALAS: 2014-325

RHSA: 2014:0348